<?xml version="1.0" encoding="UTF-8"?>

<!-- Custom Model -->

<!-- Note: This model is pre-configured to load at startup of the Repository. 
	So, all custom -->
<!-- types and aspects added here will automatically be registered -->

<model name="vv:vvModel" xmlns="http://www.alfresco.org/model/dictionary/1.0">

	<!-- Optional meta-data about the model -->
	<description>Custom Model Verbali</description>
	<author>Cristian Del Carlo</author>
	<version>1.0</version>

	<imports>
		<!-- Import Alfresco Dictionary Definitions -->
		<import uri="http://www.alfresco.org/model/dictionary/1.0"
			prefix="d" />
		<!-- Import Alfresco Content Domain Model Definitions -->
		<import uri="http://www.alfresco.org/model/content/1.0" prefix="cm" />
	</imports>
	<namespaces>
		<namespace uri="http://255.255.255.7/model/content/1.0"	prefix="vv" />
	</namespaces>

	<constraints>
		<constraint name="vv:Tipologia_Dococumento_VerbaliConstraint" type="LIST">
			<parameter name="allowedValues">
				<list>
					<value>Verbale direttivo</value>
					<value>Verbale asssemblea</value>
				</list>
			</parameter>
		</constraint>
	</constraints>

	<types>
		<type name="vv:Verbali">
			<title>Verbali</title>
			<parent>cm:content</parent>
			<mandatory-aspects>
				<aspect>vv:AspettoVerbali</aspect>
			</mandatory-aspects>
		</type>
	</types>
	<aspects>
		<aspect name="vv:AspettoVerbali">
			<title>Dati Verbali</title>
			<properties>
				<property name="vv:DataDocumento">
					<title>Data documento</title>
					<type>d:date</type>
					<mandatory>false</mandatory>
				</property>
				<property name="vv:Tipologia_Dococumento_Verbali" type="LIST">
					<title>Tipologia Doc. (Verbali)</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
					<constraints>
						<constraint ref="vv:Tipologia_Dococumento_VerbaliConstraint" />
					</constraints>
				</property>
				<property name="vv:Note">
					<title>Note</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
			</properties>
		</aspect>
	</aspects>
</model>